// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot;
import edu.wpi.first.math.MathUtil;
import edu.wpi.first.networktables.GenericEntry;
import edu.wpi.first.wpilibj.shuffleboard.BuiltInLayouts;
import edu.wpi.first.wpilibj.shuffleboard.Shuffleboard;
import edu.wpi.first.wpilibj.shuffleboard.ShuffleboardLayout;
import edu.wpi.first.wpilibj.shuffleboard.ShuffleboardTab;
import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.RunCommand;
import edu.wpi.first.wpilibj2.command.SequentialCommandGroup;
import edu.wpi.first.wpilibj2.command.button.CommandJoystick;
import edu.wpi.first.wpilibj2.command.button.CommandXboxController;
import frc.robot.commands.Avancer;
import frc.robot.commands.Force1;
import frc.robot.commands.Force2;
import frc.robot.commands.Force3;
import frc.robot.commands.Force4;
import frc.robot.commands.Force5;
import frc.robot.commands.Force6;
import frc.robot.commands.Force7;
import frc.robot.commands.Reculer;
import frc.robot.subsystems.Accumulateur;
import frc.robot.subsystems.Drive;
import frc.robot.subsystems.Lanceur;

public class RobotContainer {
  Lanceur lanceur = new Lanceur();
  Accumulateur accumulateur = new Accumulateur();
  
  

  ShuffleboardTab dashboard = Shuffleboard.getTab("Dashboard");
  ShuffleboardLayout forces = Shuffleboard.getTab("Dashboard")
  .getLayout("limitswitchsgratte", BuiltInLayouts.kList)
  .withSize(3, 7);
  GenericEntry force1 = forces.add("Force1", 0).getEntry();
  GenericEntry force2 = forces.add("Force2", 0).getEntry();
  GenericEntry force3 = forces.add("Force3", 0).getEntry();
  GenericEntry force4 = forces.add("Force4", 0).getEntry();
  GenericEntry force5 = forces.add("Force5", 0).getEntry();
  GenericEntry force6 = forces.add("Force6", 0).getEntry();
  GenericEntry force7 = forces.add("Force7", 0).getEntry();

  CommandXboxController manette = new CommandXboxController(0);
  CommandJoystick joystick1 = new CommandJoystick(0);
  Drive drive = new Drive();
  public RobotContainer() {
    
    configureBindings();
    drive.setDefaultCommand(new RunCommand(()->{
     drive.drive(-joystick1.getY(), -joystick1.getX(), MathUtil.applyDeadband(-joystick1.getZ(), 0.2));
    },drive));
  }
  
  private void configureBindings() {
    Force1 Force1 = new Force1(lanceur, accumulateur, null);
  Force2 Force2 = new Force2(lanceur, accumulateur, null);
  Force3 Force3 = new Force3(lanceur, null, accumulateur);
  Force4 Force4 = new Force4(lanceur, null, accumulateur);
  Force5 Force5 = new Force5(lanceur, null, accumulateur);
  Force6 Force6 = new Force6(lanceur, null, accumulateur);
  Force7 Force7 = new Force7(lanceur, null, accumulateur);
    joystick1.button(7).onTrue(Force1);
    joystick1.button(8).onTrue(Force2);
    joystick1.button(9).onTrue(Force3);
    joystick1.button(10).onTrue(Force4);
    joystick1.button(11).onTrue(Force5); 
    joystick1.button(12).onTrue(Force6);
    joystick1.button(3).onTrue(Force7);

    
  }
 
  public Command getAutonomousCommand() {
    return new SequentialCommandGroup(new Avancer(drive), new Force7(lanceur, force7, accumulateur)
    , new Force1(lanceur, accumulateur, force1), new Reculer(drive));
  }
}
