// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.commands;

import edu.wpi.first.networktables.GenericEntry;
import edu.wpi.first.wpilibj2.command.CommandBase;
import frc.robot.subsystems.Accumulateur;
import frc.robot.subsystems.Lanceur;

public class Force2 extends CommandBase {
  private Lanceur lanceur;
  private Accumulateur accumulateur;
  GenericEntry force2;
  /** Creates a new Force1. */
  public Force2(Lanceur lanceur,Accumulateur accumulateur, GenericEntry force2) {
    this.lanceur = lanceur;
    this.accumulateur = accumulateur;
    addRequirements(lanceur, accumulateur);
    this.force2 = force2;
    // Use addRequirements() here to declare subsystem dependencies.
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {
    lanceur.setPID(0,0,0);
  }

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
    double vitesse = (200);
    lanceur.lancer(force2.getDouble(200));
    if (lanceur.vitesse() > vitesse ){
      accumulateur.tourneavant();
      accumulateur.tournearriere();
      } else {
        accumulateur.stop();
      }
  }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {
    lanceur.lancer(0);
  }

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return false;
  }
}
